from AthenaPython.PyAthena import McEventCollection, HepMC, HepMC3  # MCEventCollection is needed for HepMC3 -> HepMC alias
import ROOT as R

def add(self, other):
    self.set(self.x() + other.x(), self.y() + other.y(),
             self.z() + other.z(), self.t() + other.t())
    return self

HepMC.FourVector.__iadd__ = add
HepMC3.FourVector.__iadd__ = add
del add

def print_particle(self):
    HepMC.Print.line(R.std.shared_ptr["HepMC3::GenParticle"](self))
    return
    
HepMC.GenParticle.print = print_particle
HepMC3.GenParticle.print = print_particle
del print_particle

def print_vertex(self):
    HepMC.Print.line(R.std.shared_ptr["HepMC3::GenVertex"](self))
    return

HepMC.GenVertex.print = print_vertex
HepMC3.GenVertex.print = print_vertex
del print_vertex

def print_event(self):
    HepMC.Print.content(self)
    
HepMC.GenEvent.print = print_event
HepMC3.GenEvent.print = print_event
del print_event
