from pyHepMC3 import HepMC3

def convert(infile, outfile):
    reader = HepMC3.ReaderAsciiHepMC2(infile)
    writer = HepMC3.WriterAscii(outfile)

    event = HepMC3.GenEvent()

    while not reader.failed():
        reader.read_event(event)
        if reader.failed():
            break

        writer.write_event(event)

    reader.close()
    writer.close()

if __name__ == "__main__":
    
    import argparse, sys
    parser = argparse.ArgumentParser(description="Conver HEPMC2 ASCII files to HEPMC3 ASCII files")
    parser.add_argument("file", help = "full path to input file")
    parser.add_argument("--output", "-o", default = "output_HepMC3.hepmc")
    args = parser.parse_args()
                        
    convert(args.file, args.output)
